# sigmamn.hpp File Reference

Sigma and Foveon MakerNote implemented according to the specification SIGMA and FOVEON EXIF MakerNote Documentation by Foveon. More...

`#include "types.hpp"`
`#include "makernote.hpp"`
`#include "tags.hpp"`
`#include <string>`
`#include <iosfwd>`
`#include <memory>`

Include dependency graph for sigmamn.hpp:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | Exiv2

## Classes

class | Exiv2::SigmaMakerNote
| MakerNote for Sigma (Foveon) cameras. More...

## Functions

MakerNote::AutoPtr | Exiv2::createSigmaMakerNote (bool alloc, const byte *buf, long len, ByteOrder byteOrder, long offset)
| Return an auto-pointer to a newly created empty MakerNote initialized to operate in the memory management model indicated. The caller owns this copy and the auto-pointer ensures that it will be deleted.

## Detailed Description

Sigma and Foveon MakerNote implemented according to the specification SIGMA and FOVEON EXIF MakerNote Documentation by Foveon.

Version:
  Rev
    569

Author:
  Andreas Huggel (ahu) ahuggel@gmx.net

Date:
  02-Apr-04, ahu: created